Roll back a transaction

- « ibase_rollback_ret

- ibase_server_info »

- PHP Manual
- Firebird/InterBase Functions
- Roll back a transaction

# ibase_rollback

(PHP 5, PHP 7 < 7.4.0)

ibase_rollback — Roll back a transaction

### Description

ibase_rollback(resource `$link_or_trans_identifier` = `null`): bool

Rolls back a transaction.

### Parameters

`link_or_trans_identifier`

  If called without an argument, this function rolls back the default transaction of the default link. If the argument is a connection identifier, the default transaction of the corresponding connection will be rolled back. If the argument is a transaction identifier, the corresponding transaction will be rolled back.

### Return Values

Returns `true` on success or `false` on failure.